Package org.apache.ignite.client.events

## Interface ClientLifecycleEventListener

All Superinterfaces:
  `EventListener`

    public interface ClientLifecycleEventListener
    extends EventListener

### Method Summary

All Methods Instance Methods Default Methods
`default void` `onClientFail​(ClientFailEvent evt)`
`default void` `onClientStart​(ClientStartEvent evt)`
`default void` `onClientStop​(ClientStopEvent evt)`

### Method Detail

#### onClientStart

    default void onClientStart​(ClientStartEvent evt)

Parameters:
  `evt` - Client start event.

#### onClientFail

    default void onClientFail​(ClientFailEvent evt)

Parameters:
  `evt` - Client fail event.

#### onClientStop

    default void onClientStop​(ClientStopEvent evt)

Parameters:
  `evt` - Client stop event.